package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * 限购类型
 */
@AllArgsConstructor
@Getter
public enum ELimitType {

    /**
     * 总限购
     */
    TOTAL(0, "总限购", "0"),

    /**
     * 年限购
     */
    YEAR(1, "年限购", "yyyy"),

    /**
     * 月限购
     */
    MONTH(2, "月限购", "yyyyMM"),

    /**
     * 日限购
     */
    DAY(3, "日限购", "yyyyMMdd"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 限购格式
     */
    private final String format;

    /**
     * 获取秒杀限购类型
     *
     * @return
     */
    public static List<ELimitType> getLiveLimitType() {
        // 总、月
        return Arrays.asList(ELimitType.TOTAL, ELimitType.MONTH);
    }

}
